diff --git a/doc/src/sgml/release-9.5.sgml b/doc/src/sgml/release-9.5.sgml
index 5b0d109..94cecd7 100644
--- a/doc/src/sgml/release-9.5.sgml
+++ b/doc/src/sgml/release-9.5.sgml
@@ -620,16 +620,23 @@
 
       <listitem>
        <para>
-        Allow <link linkend="sql-on-conflict"><command>INSERTS</></>
-        that would generate constraint conflicts to be turned into
-        <command>UPDATE</>s or ignored (Peter Geoghegan, Heikki
-        Linnakangas, Andres Freund)
+        Allow <command>INSERT</>s to specify an alternative
+        <literal>DO UPDATE</> or <literal>DO NOTHING</> action that is
+        executed upon encountering an <literal><link
+        linkend="sql-on-conflict">ON CONFLICT</></> condition (Peter
+        Geoghegan, Heikki Linnakangas, Andres Freund)
        </para>
 
        <para>
-        The syntax is <command>INSERT ... ON CONFLICT DO NOTHING/UPDATE</>.
-        This is the Postgres implementation of the popular
-        <command>UPSERT</> command.
+        The <command>INSERT</> syntax is revised to accept an
+        <literal>ON CONFLICT DO NOTHING/UPDATE</> clause.  <literal>ON
+        CONFLICT</> conditions are conditions that ordinarily result
+        in a uniqueness violation or exclusion violation error.  In
+        the absence of any independent error, <literal>ON CONFLICT DO
+        UPDATE</> guarantees either inserting any row proposed for
+        insertion, or, alternatively, resolving a conflict by updating
+        an existing, conflicting row.  This capability is generally
+        known as <quote>UPSERT</>.
        </para>
       </listitem>
 
